## cozy-stack

cozy-stack is the main command

### Synopsis

Cozy is a platform that brings all your web services in the same private space.
With it, your web apps and your devices can share data easily, providing you
with a new experience. You can install Cozy on your own hardware where no one
profiles you.

```
cozy-stack <command> [flags]
```

### Options

```
      --admin-host string   administration server host (default "localhost")
      --admin-port int      administration server port (default 6060)
  -c, --config string       configuration file (default "$HOME/.cozy.yaml")
  -h, --help                help for cozy-stack
      --host string         server host (default "localhost")
  -p, --port int            server port (default 8080)
```

### SEE ALSO

* [cozy-stack apps](cozy-stack_apps.md)	 - Interact with the applications
* [cozy-stack assets](cozy-stack_assets.md)	 - Show and manage dynamic assets
* [cozy-stack check](cozy-stack_check.md)	 - A set of tools to check that instances are in the expected state.
* [cozy-stack completion](cozy-stack_completion.md)	 - Output shell completion code for the specified shell
* [cozy-stack config](cozy-stack_config.md)	 - Show and manage configuration elements
* [cozy-stack doc](cozy-stack_doc.md)	 - Print the documentation
* [cozy-stack features](cozy-stack_features.md)	 - Manage the feature flags
* [cozy-stack files](cozy-stack_files.md)	 - Interact with the cozy filesystem
* [cozy-stack fix](cozy-stack_fix.md)	 - A set of tools to fix issues or migrate content.
* [cozy-stack instances](cozy-stack_instances.md)	 - Manage instances of a stack
* [cozy-stack jobs](cozy-stack_jobs.md)	 - Launch and manage jobs and workers
* [cozy-stack konnectors](cozy-stack_konnectors.md)	 - Interact with the konnectors
* [cozy-stack serve](cozy-stack_serve.md)	 - Starts the stack and listens for HTTP calls
* [cozy-stack settings](cozy-stack_settings.md)	 - Display and update settings
* [cozy-stack status](cozy-stack_status.md)	 - Check if the HTTP server is running
* [cozy-stack swift](cozy-stack_swift.md)	 - Interact directly with OpenStack Swift object storage
* [cozy-stack tools](cozy-stack_tools.md)	 - Regroup some tools for debugging and tests
* [cozy-stack triggers](cozy-stack_triggers.md)	 - Interact with the triggers
* [cozy-stack version](cozy-stack_version.md)	 - Print the version number

